Katello - Bug #7068

Repo sync fails after Fix #6870/BZ1075523
08/13/2014 11:43 AM - Partha Aji

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category:
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129775 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/457
Description
Create a repo
Sync it
Error

undefined method “hidden' for #<Class:0x0000000d6beab0> (NoMethodError)
gems/ruby-2.0.0-p481/gems/activerecord-3.2.18/lib/active_record/dynamic_matchers.rb:55:in *'method_missing'
/katello/app/lib/actions/katello/repository/correct_checksum.rb:23:in “finalize'

Basically after the commit for #6870/BZ1075523, all instance of the User.hidden was replaced with User.anonymous_admin in
katello code. Sounds like there was a missed spot in this file /katello/app/lib/actions/katello/repository/correct_checksum.rb.

Associated revisions

Revision 73a95697 - 08/13/2014 11:49 AM - Partha Aji
Fixes #7068/bz1129775 - Fix repo sync checksum error

When one synced a repo priori to this commit, we got an error that
looked like

Error

undefined method “hidden' for #<Class:0x0000000d6beab0> (NoMethodError)
gems/ruby-2.0.0-p481/gems/activerecord-3.2.18/lib/active_record/dynamic_matchers.rb:55:in
“method_missing'

/katello/app/lib/actions/katello/repository/correct_checksum.rb:23:in

“finalize'

Basically after the commit for #6870/BZ1075523, all instance of the

User.hidden was replaced with User.anonymous_admin in katello code.

Sounds like there was a missed spot in this file
/katello/app/lib/actions/katello/repository/correct_checksum.rb.

this commit fixes this.

Revision f51e256¢ - 08/13/2014 12:26 PM - Partha Aji
Merge pull request #4576 from parthaa/hidden-fix

Fixes #7068/bz1129775 - Fix repo sync checksum error

History

#1 - 08/13/2014 11:45 AM - Partha Aji
- Bugzilla link set to 1129775

#2 - 08/13/2014 11:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Target version set to 54
- Pull request https://github.com/Katello/katello/pull/4576 added
- Pull request deleted ()

#3 - 08/13/2014 01:01 PM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|73a956975¢128e4a5d9311bcb9e5812bf2aa89de.

#4 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
